.a-form-control {
  display: block;
  padding: 0.75rem 1rem;
  width: 100%;
  border-radius: 0.5rem;
  background-color: var(--broken-white);
  box-sizing: border-box;
  border: unset;
  font-size: 1rem;
  transition: ease 0.2s transform, ease 0.2s background-color;
  color: var(--black-100);

  &::placeholder {
    color: var(--black-75);
    opacity: 1;
  }

  &:hover {
    background-color: var(--black-0);
  }

  &:focus {
    transform: scale(1.05);
    outline: unset;
    display: block;
  }

  &.-inline {
    display: inline-block;
    flex: 1 0 auto;
    width: 0;
    margin: 0 0.5rem;
  }

  &.-white {
    background-color: var(--white);
  }
}

.a-form-control-checkbox {
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;

  & ~ label {
    position: relative;
    width: 100%;
    cursor: pointer;
    padding: 0;
  }

  & ~ label::before {
    content: "";
    margin-right: 0.25rem;
    display: inline-block;
    vertical-align: text-top;
    width: 1.4rem;
    height: 1.4rem;
    background-color: var(--broken-white);
    border-radius: 0.4rem;
    transform: scale(1);
    transition: ease 0.2s background-color, ease 0.2s transform;
  }

  &:hover ~ label::before,
  &:active ~ label::before {
    background-color: var(--black-0);
  }

  &:disabled ~ label {
    color: var(--black-50);
    cursor: not-allowed;
  }

  &:disabled:hover ~ label::before {
    background-color: var(--broken-white);
  }

  &:checked ~ label::after {
    content: "";
    position: absolute;
    transform: rotate(-45deg);
    transform-origin: 1rem 0.05rem;
    border-bottom: 0.125rem solid transparent;
    border-bottom-color: transparent;
    border-left: 0.125rem solid transparent;
    width: 0.75rem;
    height: 0.375rem;
    border-color: var(--black-100);
    left: 0;
    top: 0;
  }
}
